Download a file from the remote server.

- « Swoole\Http\Client::__destruct

- Swoole\Http\Client::execute »

- PHP Manual
- Swoole\Http\Client
- Download a file from the remote server.

# Swoole\Http\Client::download

(PECL swoole >= 1.9.0)

Swoole\Http\Client::download — Download a file from the remote server.

### Description

public Swoole\Http\Client::download(
string `$path`,
string `$file`,
callable `$callback`,
int `$offset` = ?
): void

### Parameters

`path`

`file`

`callback`

`offset`

### Return Values